# AI

Zed offers various features that integrate LLMs smoothly into the editor.

## Setting up AI in Zed

- [Models](./models.md): Information about the various language models available in Zed.

- [Configuration](./custom-api-keys.md): Configure the Agent, and set up different language model providers like Anthropic, OpenAI, Ollama, Google AI, and more.

- [Custom API Keys](./custom-api-keys.md): How to use your own API keys with the AI features.

- [Subscription](./subscription.md): Information about Zed's subscriptions and other billing related information.

- [Privacy and Security](./privacy-and-security.md): Understand how Zed handles privacy and security with AI features.

## Agentic Editing

- [Agent Panel](./agent-panel.md): Create and collaboratively edit new threads, and manage interactions with language models.

- [Rules](./rules.md): How to define rules for AI interactions.

- [Tools](./tools.md): Explore the tools that enhance the AI's capabilities to interact with your codebase.

- [Model Context Protocol](./mcp.md): Learn about context servers that enhance the Assistant's capabilities.

- [Inline Assistant](./inline-assistant.md): Discover how to use the agent to power inline transformations directly within your code editor and terminal.

## Edit Prediction

- [Edit Prediction](./edit-prediction.md): Learn about Zed's Edit Prediction feature that helps autocomplete your code.

## Text Threads

- [Text Threads](./text-threads.md): Learn about an alternative, text-based interface for interacting with language models.
